API ReferenceCredential types
Retrieve credential type
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREDENTIAL_RETRIEVE_STARTECOSYSTEM_CREDENTIAL_RETRIEVE_SUCCESSECOSYSTEM_CREDENTIAL_RETRIEVE_FAIL
GET
/v1/ecosystems/{ecosystemId}/credentials/{credentialId}Retrieves a credential type from the requested ecosystem by its ID.
Analytic events
- ECOSYSTEM_CREDENTIAL_RETRIEVE_START
- ECOSYSTEM_CREDENTIAL_RETRIEVE_SUCCESS
- ECOSYSTEM_CREDENTIAL_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidcredentialId*string
The UUID of the credential
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecosystemId": "e2e92b49-5a4f-4804-83c0-325e709d9dcd", "profile": "compact", "type": "string", "name": "string"}How would you rate this page?
Retrieve credential types GET
Retrieves a list of credential types from the requested ecosystem. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_START * ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_FAIL
Delete credential type DELETE
Deletes a credential type from the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_DELETE_START * ECOSYSTEM_CREDENTIAL_DELETE_SUCCESS * ECOSYSTEM_CREDENTIAL_DELETE_FAIL